Bug 1253335 - DistGitImporter stops work after some time due to "TOO MANY OPEN FILES"
DistGitImporter stops work after some time due to "TOO MANY OPEN FILES"
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Valentin Gologuzov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 09:50 EDT by Valentin Gologuzov
Modified: 2015-12-01 01:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 11:46:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valentin Gologuzov 2015-08-13 09:50:53 EDT
Some code in dist-git-importer (or used libs) doesn't close file descriptors properly, so that each task adds two dangling fd.
I.e.:
[root@copr-dist-git-dev fd]# pwd
/proc/14175/fd
[root@copr-dist-git-dev fd]# for i in `seq 5 8`;do readlink $i; done
/tmp/tmpkuRMPr/autotools-git/.git/objects/pack/pack-a584fcd4a5f97f10559257f3c8a4f9517d5687ef.pack (deleted)
/tmp/tmpkuRMPr/autotools-git/.git/objects/pack/pack-a584fcd4a5f97f10559257f3c8a4f9517d5687ef.idx (deleted)
/tmp/tmpgAo3Ch/autotools-git/.git/objects/pack/pack-a584fcd4a5f97f10559257f3c8a4f9517d5687ef.pack (deleted)
/tmp/tmpgAo3Ch/autotools-git/.git/objects/pack/pack-a584fcd4a5f97f10559257f3c8a4f9517d5687ef.idx (deleted)

Investigate and solve. Temporary solution is to restart import process periodically.
Comment 1 Miroslav Suchý 2015-08-14 03:12:18 EDT
Likely related to
https://github.com/gitpython-developers/GitPython/issues/304
Comment 2 Valentin Gologuzov 2015-08-14 11:46:22 EDT
Released new version of copr-dist-git (0.6-1) into the production. Should be sufficient.

Note You need to log in before you can comment on or make changes to this bug.